Name:		stubl
Version:	0.0.10
Release:	7%{?dist}.3
Summary:	SLURM Tools and UBiLities

Group:		System Environment/Base
License:	GPLv3
URL:		https://github.com/ubccr/stubl
Source0:	stubl-%{version}.tar.gz
Patch1:		newest.patch
Patch2:		fixhost.patch
Patch3:		fixc.patch
Patch4:		tweaks.patch
Patch5:		fixes.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

#BuildRequires:	
BuildRequires:	gcc gcc-c++
Requires:	slurm clustershell

%description
STUBL is a collection of supplemental tools and utilitiy scripts for SLURM

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
# remove included executables
rm -f ./bin/slogs_helpers/slogplus ./bin/slogs_helpers/tins ./bin/slurmbf_helper

%build
pushd src/slurmbf
make
popd
cd bin/slogs_helpers
gcc -c -o tins tins.c
g++ -c -o slogplus slogplus.cpp

%install
rm -rf %{buildroot}
mkdir -m 755 -p %{buildroot}%{_libexecdir}/%{name}/bin %{buildroot}%{_bindir} %{buildroot}%{_sysconfdir}/%{name} %{buildroot}%{_localstatedir}/cache/%{name}
cp -ar bin template %{buildroot}%{_libexecdir}/%{name}
ln -s %{_sysconfdir}/%{name} %{buildroot}%{_libexecdir}/%{name}/conf
install -m 644 conf/stubl.sample %{buildroot}%{_sysconfdir}/%{name}/
ln -s %{_localstatedir}/cache/%{name} %{buildroot}%{_libexecdir}/%{name}/log
install -m 644 log/NodeInfo.log.sample %{buildroot}%{_localstatedir}/cache/%{name}/
pushd %{buildroot}%{_libexecdir}/%{name}/bin/
for i in `ls | egrep -v 'helper|body'`; do
	ln -s %{_libexecdir}/%{name}/bin/$i %{buildroot}%{_bindir}
done
popd

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE *.rst
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/stubl.sample
%ghost %attr(644,root,root) %config(missingok,noreplace) %{_sysconfdir}/%{name}/stubl
%{_bindir}/*
%{_libexecdir}/%{name}
%dir %{_localstatedir}/cache/%{name}
%ghost %attr(644,root,root) %config(missingok,noreplace) %{_localstatedir}/cache/%{name}/NodeInfo.log.sample

%changelog
* Thu Jan 08 2015 Josko Plazonic <plazonic@princeton.edu>
- initial packaging
